Bug 1966487 - IP address in Pods list table are showing node IP other than pod IP
Summary: IP address in Pods list table are showing node IP other than pod IP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Yadan Pei
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1969105
TreeView+ depends on / blocked
 
Reported: 2021-06-01 09:22 UTC by Yadan Pei
Modified: 2021-07-27 23:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:10:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9089 0 None open Bug 1966487: Update IP address on pods list to show podIP other than … 2021-06-01 11:48:18 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:14 UTC

Description Yadan Pei 2021-06-01 09:22:44 UTC
Description of problem:
IP address column is showing node IP wrongly


Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-05-31-190546

How reproducible:
Always

Steps to Reproduce:
1. goes to Pods list page /k8s/all-namespaces/pods, manage columns and show IP address
2.
3.

Actual results:
1. IP address column is showing Node IP, not pod IP

Expected results:
1. IP address should show pod IP

Additional info:

Comment 2 Yanping Zhang 2021-06-10 02:13:29 UTC
Checked on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-06-09-142759.
Go to Pods list page /k8s/all-namespaces/pods, manage columns and show IP address, check ip for pod in pods list, it is using pod ip now.
The bug is fixed.

Comment 5 errata-xmlrpc 2021-07-27 23:10:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.